## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developer.mindbridge.ai/llms.txt)

Use this file to discover all available pages before exploring further.

POST

/
v1
/engagement-account-groups
/query

### Query Engagement Account Groups

#### cURL
```bash
curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/engagement-account-groups/query \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'```

#### Python
```python
import requests

url = "https://{tenant}.mindbridge.ai/api/v1/engagement-account-groups/query"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)```

#### JavaScript (Fetch API)
```javascript
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({})
};

fetch('https://{tenant}.mindbridge.ai/api/v1/engagement-account-groups/query', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));```

#### PHP
```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/engagement-account-groups/query",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([

]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}```

#### Go
```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://{tenant}.mindbridge.ai/api/v1/engagement-account-groups/query"

payload := strings.NewReader("")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

#### Java (Unirest)
```java
HttpResponse<String> response = Unirest.post("https://{tenant}.mindbridge.ai/api/v1/engagement-account-groups/query")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}").asString();
```

#### Ruby
```ruby
require 'uri'
require 'net/http'

url = URI("https://{tenant}.mindbridge.ai/api/v1/engagement-account-groups/query")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

### Response Example
200
```json
{
  "pageNumber": 123,
  "totalPages": 123,
  "content": [
    {
      "id": "<string>",
      "engagementAccountGroupingId": "<string>",
      "code": "<string>",
      "description": {},
      "lowestLevel": true,
      "hierarchy": [
        "<string>"
      ],
      "parentCode": "<string>",
      "macCode": "<string>",
      "accountTags": [
        "<string>"
      ],
      "publishedDate": "2023-11-07T05:31:56Z",
      "orderIndex": 123,
      "errors": [
        {
          "arguments": [
            "<string>"
          ]
        }
      ],
      "hidden": true,
      "alias": "<string>"
    }
  ],
  "numberOfElements": 123,
  "totalElements": 123,
  "pageable": {
    "pageNumber": 123,
    "pageSize": 123,
    "offset": 123,
    "sort": {
      "sorted": true,
      "unsorted": true,
      "empty": true
    }
  },
  "pageSize": 123,
  "sort": {
    "sorted": true,
    "unsorted": true,
    "empty": true
  },
  "first": true,
  "last": true,
  "size": 123,
  "number": 123
}
```

### Authorization

Authorization

string

header

required

Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Query Parameters

- **page**  (integer)
  - default:0
  - Zero-based page index (0..N)
  - Required range: `x >= 0`
- **size** (integer)
  - default:20
  - The size of the page to be returned
  - Required range: `x >= 1`
- **sort** (string[])
  - Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

### Body

application/json
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
- Option 19
- Option 20

- **operator** (enum<string>)
  - required
  - Available options:
    - `$eq`
    - `$ne`
    - `$gt`
    - `$gte`
    - `$lt`
    - `$lte`
    - `$contains`
    - `$ncontains`
    - `$in`
    - `$nin`
    - `$flags`
    - `$keyword_prefix`
    - `$keyword_prefix_not`
    - `$isubstr`
    - `$iprefix`
    - `$niprefix`
    - `$between`
    - `$nbetween`
    - `$and`
    - `$or`
    - `$population`
    - `$not_population`
    - `null`

### Response

200 - application/json

- **pageNumber** (integer<int32>)
- **totalPages** (integer<int32>)
- **content** (Engagement Account Group · object[])
- **numberOfElements** (integer<int32>)
- **totalElements** (integer<int64>)
- **pageable** (object)
- **pageSize** (integer<int32>)
- **sort** (object)
- **first** (boolean)
- **last** (boolean)
- **size** (integer<int32>)
- **number** (integer<int32>)
